/*
 * @(#)file      AbstractNotifierMBean.java
 * @(#)author    Mats Mortensen
 * 
 */
package coms.component;

import javax.management.NotificationFilter;
import javax.management.NotificationListener;

/**
 * Defines the interface which the class AbstractNotifier must implement
 */
public interface AbstractNotifierMBean {
	public void addNotificationListener(NotificationListener listener,
			NotificationFilter filter, Object handback);

	public void removeNotificationListener(NotificationListener listener);
}
