/*
 * @(#)file      Util.java
 * @(#)author    Mats Mortensen
 * 
 */
package coms.core;

/**
 * Implements utility functions available for both modules and components
 */
public class Util {
	public static byte[] byteObjToBytes(Byte[] bytes) {
		byte[] b = new byte[bytes.length];
		for (int i = 0; i < bytes.length; i++)
			b[i] = bytes[i].byteValue();
		return b;
	}

	public static Byte[] bytesToByteObj(byte[] bytes) {
		Byte[] b = new Byte[bytes.length];
		for (int i = 0; i < bytes.length; i++)
			b[i] = Byte.valueOf(bytes[i]);
		return b;
	}
}
