package coms.mbeans;

import java.io.File;
import java.util.Hashtable;
import coms.core.JarLoaderException;

/**
 * Interface for the ComponentClassLoader class
 * 
 * @author Tom Arild Jakobsen & Mats Mortensen
 */
public interface ComponentClassRepositoryMBean {
	public void loadFromJar(File jarfile, String serviceName)
			throws JarLoaderException, ClassNotFoundException;

	public Hashtable<String, Class> getPackageClasses(String serviceName);
}
