/**
 *This class is an interface for the Deployer class
 *@author Mats Mortensen
 *@see Deployer.java
 */
package coms.mbeans;

import java.io.File;
import coms.core.Graph;

public interface DeployerMBean {
	public Boolean loadJarFile(File file);

	public String deployLoadedJars();

	public Graph getDependencyGraph();
}
