/*
 * @(#)file      InferenceFactoryMBean.java
 * @(#)author    Mats Mortensen
 * @(#)version   0.1
 */
package coms.mbeans;

import coms.metadata.*;
import coms.core.inference.Engine;
import coms.core.inference.EngineNotFoundException;
import java.util.Hashtable;

/**
* An interface which specifies what methods the InferenceFactory must implement
*/
public interface InferenceFactoryMBean{
	
	public Engine createEngine(Boolean isPersistent, String componentID);
	public void setDBType(String db);
	public Engine getEngine(String componentID) throws EngineNotFoundException;
	public Hashtable getFactClasses(String componentID);
	
}