package coms.mbeans;

/**
 * Interface that represents a server that allows an upload of a file
 * 
 * @author Mats Mortensen
 * @see FileHandler.java
 */
public interface JarUploaderMBean {
	public void setDeployDir(String dir);

	public void deleteJarFromSystem(String filename);

	public String uploadFile(Byte[] filedata, String filename);
}
