package coms.metadata;

import java.io.Serializable;

public class ComponentInfo implements Serializable {
	private static final long serialVersionUID = 1L;
	private String id;
	private String name;
	private String version;
	private String type;
	private boolean activated;

	public String getName() {
		return this.name;
	}

	public void setName(String n) {
		this.name = n;
	}

	public String getVersion() {
		return this.version;
	}

	public void setVersion(String n) {
		this.version = n;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String t) {
		this.type = t;
	}

	public String getID() {
		return this.id;
	}

	public void setID(String i) {
		this.id = i;
	}

	public boolean getActivated() {
		return this.activated;
	}

	public void setActivated(boolean a) {
		this.activated = a;
	}

	public ComponentInfo(String id, String name, String version, String type) {
		this.id = id;
		this.name = name;
		this.version = version;
		this.type = type;
	}
}
