package com.telenor.apms.fifamos.client.j2se.objects;

import com.telenor.apms.fifamos.client.j2se.utils.StringVector;

/**
 * SensorValue.java
 * 
 * Class that describe a sensor value
 * 
 * @author JAG
 * @copyright JAG  2006
 * @version 1.0
 */
public class Alarm {
	private String alarmID;
	private String sensorID;
	private String message;
	private String seaCageID;
	
	
	public Alarm(String input) {
		StringVector sv = new StringVector(input,',');
		alarmID = sv.stringElementAt(0);
		seaCageID = sv.stringElementAt(1);
		sensorID= sv.stringElementAt(2);
		message = sv.stringElementAt(3);
	}


	public String getID() {
		return alarmID;
	}
	
	public String getAlarmID() {
		return alarmID;
	}

	public void setAlarmID(String alarmID) {
		this.alarmID = alarmID;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getSeaCageID() {
		return seaCageID;
	}

	public void setSeaCageID(String seaCageID) {
		this.seaCageID = seaCageID;
	}

	public String getSensorID() {
		return sensorID;
	}

	public void setSensorID(String sensorID) {
		this.sensorID = sensorID;
	}

	public String toString() {
		return ("ALARM (ID: "+alarmID+"): SENSOR-ID: "+sensorID+", "+message);
	}
}
