package com.telenor.apms.fifamos.client.j2se.objects;

import java.sql.Timestamp;
import java.util.Date;
import java.util.HashMap;

/**
 * @author Frank
 * 
 */
public class SensorValue {
	int id, value, outofbounds, sensorid;

	Timestamp received;

	String confirmed;

	/**
	 * @param id
	 * @param value
	 * @param outofbounds
	 * @param sensorid
	 * @param received
	 * @param confirmed
	 */
	public SensorValue(int id, int value, int outofbounds, Timestamp received, String confirmed, int sensorID) {
		this.id = id;
		this.value = value;
		this.outofbounds = outofbounds;
		this.received = received;
		this.confirmed = confirmed;
		this.sensorid = sensorID;
	}

	public SensorValue(int value, int sensorID) {
		this.value = value;
		this.sensorid = sensorID;
	}
	
	public SensorValue(HashMap sensorvalue) {
		this.id = (Integer) sensorvalue.get("id");
		this.value = (Integer) sensorvalue.get("value");
		this.outofbounds = (Integer) sensorvalue.get("outofbounds");
		this.received = (Timestamp) sensorvalue.get("received");
		this.confirmed = (String) sensorvalue.get("confirmed");
		this.sensorid = (Integer) sensorvalue.get("sensorid");
	}

	public SensorValue() {
	}

	/**
	 * @return Returns the confirmed.
	 */
	public String getConfirmed() {
		return confirmed;
	}

	/**
	 * @param confirmed The confirmed to set.
	 */
	public void setConfirmed(String confirmed) {
		this.confirmed = confirmed;
	}

	/**
	 * @return Returns the outofbounds.
	 */
	public int getOutofbounds() {
		return outofbounds;
	}

	/**
	 * @param outofbounds The outofbounds to set.
	 */
	public void setOutofbounds(int outofbounds) {
		this.outofbounds = outofbounds;
	}

	/**
	 * @return Returns the received.
	 */
	public Timestamp getReceived() {
		return received;
	}

	/**
	 * @param received The received to set.
	 */
	public void setReceived(Timestamp received) {
		this.received = received;
	}

	/**
	 * @return Returns the sensorID.
	 */
	public int getSensorID() {
		return sensorid;
	}

	/**
	 * @param sensorID The sensorID to set.
	 */
	public void setSensorID(int sensorID) {
		this.sensorid = sensorID;
	}

	/**
	 * @return Returns the id.
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id The id to set.
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @return Returns the value.
	 */
	public int getValue() {
		return value;
	}

	/**
	 * @param value The value to set.
	 */
	public void setValue(int value) {
		this.value = value;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		// TODO Auto-generated method stub
		return super.toString();
	}

	

}
