package com.telenor.apms.fifamos.client.j2se.utils;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.StringTokenizer;

public class GpsUtil {

	private static String base_url = "http://www.mapquest.com/maps/map.adp?searchtype=address&formtype=latlong&latlongtype=decimal";

	private static String _latdeg = "&latdeg=";

	private static String _latmin = "&latmin=";

	private static String _latsec = "&latsec=";

	private static String _longdeg = "&longdeg=";

	private static String _longmin = "&longmin=";

	private static String _longsec = "&longsec=";
	
	private static String _latitude = "&latitude=";
	private static String _longitude = "&longitude=";

	/**
	 * @param latitude
	 *            A ' ' (space) seperated <code>String</code> representing
	 *            degrees, minutes and seconds av the latitude
	 * @param longitude
	 *            A ' ' (space) seperated <code>String</code> representing
	 *            degrees, minutes and seconds av the longitude
	 * @return The url to the map for the given coordinate as a
	 *         <code>String</code>
	 */
	public static String getMapUrlByLatLongAsString(String latitude,
			String longitude, int zoom) {
		try {
			URL url = new URL(base_url + "&zoom="+zoom + _latitude + latitude + _longitude + longitude);

			
			/*
			URL url = new URL(base_url + "&zoom="+zoom + _latdeg + latdeg + _latmin + latmin
					+ _latsec + latsec + _longdeg + longdeg + _longmin
					+ longmin + _longsec + longsec);
*/
			return url.toString();
		} catch (MalformedURLException e) {
			e.printStackTrace();
		}

		return "about:blank";
	}
}