<%
	try {
		coms.tools.relational.Select select = 
			new coms.tools.relational.Select("alarm", "Derby");
		select.and("confirmed", coms.tools.relational.Select.EQUAL, new java.sql.Timestamp(0));
		
		java.util.List<java.util.Map<String, Object>> list = select.execute();
		String xml = "";
		xml += "<xml>";
		java.util.Iterator it = list.iterator();
		while (it.hasNext()) {
			java.util.HashMap map = (java.util.HashMap) it.next();

			xml += "<alarm>";
			xml += "<id>" + map.get("id") + "</id>";
			xml += "<scid>" + map.get("seacageid") + "</scid>";
			xml += "<sid>" + map.get("sensorid") + "</sid>";
			xml += "<msg>" + map.get("message") + "</msg>";
			xml += "</alarm>";
		}

		xml += "</xml>";
		if (xml.length() > 0) {
			response.setStatus(200);
			response.setContentType("text/xml");
			response.setHeader("Cache-Control", "no-cache");
			response.getWriter().write("" + xml.toString() + "");
		} else {
			//nothing to show
			response.setStatus(500);
		}

		
	} catch (Exception e) {
		out.println("<p>" + e.toString());
	}

%>
