package com.telenor.apms.fifamos.objects;

import uk.me.jstott.jcoord.LatLng;

public class GPS {
	private int seacageID;

	private int satellites;

	private int altitude;

	private LatLng latlng;

	/**
	 * @param satellites
	 * @param altitudei
	 */
	public GPS(int seacageID, int satellites, int altitude) {

		this.seacageID = seacageID;
		this.satellites = satellites;
		this.altitude = altitude;
	}

	public GPS() {
	}

	public void setLatLng(LatLng latlng) {
		this.latlng = latlng;
	}
	
	public LatLng getLatLng() {
		return latlng;
	}

	/**
	 * @return Returns the seacageID.
	 */
	public int getSeacageID() {
		return seacageID;
	}

	/**
	 * @param seacageID
	 *            The seacageID to set.
	 */
	public void setSeacageID(int seacageID) {
		this.seacageID = seacageID;
	}

	/**
	 * @return Returns the altitude.
	 */
	public int getAltitude() {
		return altitude;
	}

	/**
	 * @param altitude
	 *            The altitude to set.
	 */
	public void setAltitude(int altitude) {
		this.altitude = altitude;
	}

	/**
	 * @return Returns the satellites.
	 */
	public int getSatellites() {
		return satellites;
	}

	/**
	 * @param satellites
	 *            The satellites to set.
	 */
	public void setSatellites(int satellites) {
		this.satellites = satellites;
	}

	public String toString() {
		return "GPS data:" + "\n Sattelites: " + satellites + "\n Altitude: "
				+ altitude + "\n Latitude: " + getLatLng().getLat()
				+ "\n Longitude: " + getLatLng().getLng();
	}

}
