package com.telenor.apms.fifamos.objects;

public class SeaCage {
	private String latitude = "", longitude = "", description = "", imei = "";
	private int id, frameid, interval;
	
	public SeaCage() {
	}

	public SeaCage(String imei, String description, int frameid) {
		this.imei = imei;
		this.description = description;
		this.frameid = frameid;
	}
	
	public SeaCage(int id, String latitude, String longitude, String description, String imei, int interval, int frameid) {
		this.id = id;
		this.latitude = latitude;
		this.longitude = longitude;
		this.description = description;
		this.imei = imei;
		this.interval = interval;
		this.frameid = frameid;
	}
	
	public SeaCage(String latitude, String longitude, String description, String imei, int interval, int frameid) {
		this.latitude = latitude;
		this.longitude = longitude;
		this.description = description;
		this.imei = imei;
		this.interval = interval;
		this.frameid = frameid;
	}

	public void setInterval(int interval) {
		this.interval = interval;
	}
	
	public int getInterval() {
		return interval;
	}
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public int getFrameId() {
		return frameid;
	}
	public void setFrameId(int frameid) {
		this.frameid = frameid;
	}
	public String getImei() {
		return imei;
	}
	public void setImei(String imei) {
		this.imei = imei;
	}
	public String getLatitude() {
		return latitude;
	}
	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	public String getLongitude() {
		return longitude;
	}
	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String toString() {
		return "Sea cage: " + id + ", " + latitude + ", " + longitude + ", " + description + ", " + imei + ", " + frameid;
	}

	public boolean isOk() {
		return (imei.trim().length()>0 && 
				description.trim().length()>0 && 
				frameid != 0);
	}
	
}
