package com.telenor.apms.fifamos.objects;

import java.util.HashMap;

import sun.rmi.runtime.GetThreadPoolAction;

/**
 * @author Frank
 * 
 */
public class Sensor {

//	public final static int SENSOR_TEMP = 0;
//	public final static int SENSOR_WIND = 1;
//	public final static int SENSOR_PH = 2;
//	public final static int SENSOR_O2 = 3;
//	public final static int SENSOR_LUX = 4;
	
	int id, sensortypeid, seaCageID;
	double maxValue, minValue;


	/**
	 * @param id
	 * @param sensortypeid
	 * @param maxRange
	 * @param minRange
	 * @param maxValue
	 * @param minValue
	 * @param seaCageID
	 * @param weatherID
	 */
	public Sensor(int id, int sensortypeid, double maxValue, double minValue, int seaCageID) {
		this.id = id;
		this.sensortypeid = sensortypeid;
//		this.maxRange = maxRange;
//		this.minRange = minRange;
		this.maxValue = maxValue;
		this.minValue = minValue;
		this.seaCageID = seaCageID;
	}

	/**
	 * @param sensor
	 */
	public Sensor(HashMap sensor) {
		id = (Integer) sensor.get("id");
		
		sensortypeid = (Integer) sensor.get("sensortypeid");
		maxValue = (Double) sensor.get("maxvalue");
		minValue = (Double) sensor.get("minvalue");
		seaCageID = (Integer) sensor.get("seacageid");

	}

	public Sensor() {
	}

	/**
	 * @return Returns the id.
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id The id to set.
	 */
	public void setId(int id) {
		this.id = id;
	}

//	/**
//	 * @return Returns the maxRange.
//	 */
//	public int getMaxRange() {
//		return maxRange;
//	}
//
//	/**
//	 * @param maxRange The maxRange to set.
//	 */
//	public void setMaxRange(int maxRange) {
//		this.maxRange = maxRange;
//	}

	/**
	 * @return Returns the maxValue.
	 */
	public double getMaxValue() {
		return maxValue;
	}

	/**
	 * @param maxValue The maxValue to set.
	 */
	public void setMaxValue(double maxValue) {
		this.maxValue = maxValue;
	}
	
	/**
	 * @return Returns the minValue.
	 */
	public double getMinValue() {
		return minValue;
	}

	/**
	 * @param minValue The minValue to set.
	 */
	public void setMinValue(double minValue) {
		this.minValue = minValue;
	}

	/**
	 * @return Returns the seaCageID.
	 */
	public int getSeaCageID() {
		return seaCageID;
	}

	/**
	 * @param seaCageID The seaCageID to set.
	 */
	public void setSeaCageID(int seaCageID) {
		this.seaCageID = seaCageID;
	}

	/**
	 * @return Returns the type.
	 */
	public int getSensorTypeId() {
		return sensortypeid;
	}

	/**
	 * @param type The type to set.
	 */
	public void setSensorTypeId(int sensortypeid) {
		this.sensortypeid = sensortypeid;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return id + " - " + sensortypeid + " (max/min): " + maxValue + "/" + minValue;
	}
}
