package com.telenor.apms.fifamos.utils;

/**
 * @author Frank
 *
 */
public class Convert {
	
//	VINDSTYRKER
//
//	Vindstryrken mles i meter pr. sekund (m/s)
//	
//	Navn			m/s			Virkning p land	
//	stille			0-0,2		ryken stiger rett opp	
//	flau vind		0,3-1,5		ryken driver i vindens retning	
//	svak vind		1,6-3,3		smtt lv settes i bevegelse	
//	lett bris		3,4-5,4		lv og smkvist rrer seg, lette flagg strekkes	
//	laber bris		5,5-7,9		kvister og smgreiner rres, stv virvles opp	
//	frisk bris		8-10,7		mindre lvtrr svaier, blgekammer p innsjer	
//	liten kuling	10,8-13,8	store greiner rrer seg, det hviner i telegraftrdene	
//	stiv kuling		13,9-17,1	hele trr rrer seg, tungt  g mot vinden	
//	sterk kuling	17,2-20,7	kvister brekker, tungt  g mot vinden	
//	liten storm		20,8-24,4	store trr svaier og hiver, takstein kan blse ned	
//	full storm		24,5-28,4	sjelden inne i landet, trr rykkes opp, stor skade p hus	
//	sterk storm		28,5-32,6	meget sjelden, flges av store deleggelser	
//	orkan			32,7-		forekommer meget sjelden, flges av store deleggelser
	
//	maks rdataverdi er 2800
	
	private static double MILLIVOLT_MAX = 2800;
	
//	formelen er Ax+B
	
	public static double convert(double mV, double maxrange, double minrange) {
		

//		faktor
		double A = (maxrange - minrange)/MILLIVOLT_MAX;
		
//		justering
		double B = minrange;
		
		return A*mV+B;
		
	}
}
