package com.telenor.apms.fifamos.client.j2me.objects;

import net.comtor.j2me.util.StringVector;

/**
 * Frame.java
 * 
 * Class that describes a fish frame
 * 
 * @author JAG
 * @copyright JAG  2006
 * @version 1.0
 */
public class Frame {
	private String ID;
	private String location;
	private String description;
	
	public Frame(String input) {
		StringVector sv = new StringVector(input, ':');
		ID = sv.stringElementAt(0);
		location = sv.stringElementAt(1);
		description = sv.stringElementAt(2);
	}
	
	public String getID() {
		return ID;
	}
	
	public String getLocation() {
		return location;
	}
	
	public String getDescription() {
		return description;
		
	}
	public String toString() {
		return ("ID "+ID+": "+description+", located at "+location);
	}
}
