/*
 * GenericLoginForm.java
 *
 * Created on August 16, 2004, 11:24 AM
 */

package net.comtor.j2me.form;
import javax.microedition.lcdui.*;
import net.comtor.j2me.net.*;
import net.comtor.j2me.gui.*;
/**
 *
 * @author  root
 */
public class GenericLoginForm extends GenericForm {
    String url;
    javax.microedition.lcdui.TextField login ;
    javax.microedition.lcdui.TextField password ;
    GenericLoginFormListener listener;
    
    
    Command commandOk ;
    
    
    /** Creates a new instance of GenericLoginForm */
    public GenericLoginForm(String formName, String url,
    javax.microedition.lcdui.TextField login ,
    javax.microedition.lcdui.TextField password, GenericLoginFormListener listener) {
        super(formName);
        setUrl(url);
        addItem(login);
        addItem(password);
        this.login = login;
        this.password = password;
        this.listener = listener;
        commandOk = addCommand("OK", 0);
    }
    
    public void commandActionSynchronized(javax.microedition.lcdui.Command command, javax.microedition.lcdui.Displayable displayable) {
        
        if (command == commandOk){
            String query = url+"?login="+login.getString()+"&password="+password.getString();
            try{
                String resp;
                resp = ConnectionHelper.getInstance().readFullyHttpConnection(query);
                if (resp.startsWith("+OK")){
                    listener.setLogin(login.getString());
                    listener.loginAction();
                    //GlobalGui.setCurrentDisplay(displayable
                }
                else{
                    GlobalGui.showError("ERROR", "Error de Autenticacion \n"+ConnectionHelper.getInstance().lastException, 3000);
                }
            }
            catch(Exception e){
                GlobalGui.showError("ERROR", "Error de Autenticacion "+e.toString()+"\n"+query, 3000);
            }
        }
    }
    
    
    /** Getter for property url.
     * @return Value of property url.
     *
     */
    public java.lang.String getUrl() {
        return url;
    }
    
    /** Setter for property url.
     * @param url New value of property url.
     *
     */
    public void setUrl(java.lang.String url) {
        this.url = url;
    }
    
}
