/*
 * GenericList.java
 *
 * Created on August 17, 2004, 2:00 AM
 */

package net.comtor.j2me.gui;
import javax.microedition.lcdui.*;
/**
 *
 * @author  root
 */
public abstract class GenericList extends List  implements CommandListener{
    
    public Command btnAceptar ;
    public Command btnCancelar = null;
    /** Creates a new instance of GenericList */
    public GenericList(String title, boolean cancelable) {
        super(title,  IMPLICIT);
        btnAceptar  = new Command("Aceptar",Command.SCREEN, 1);
        addCommand(btnAceptar);
        btnCancelar = new Command("Cancelar",Command.SCREEN, 1);
        if (cancelable){
            addCommand(btnCancelar);
        }
        
        setCommandListener(this);
    }
    
    
    /**
     *
     *  Retorna la posicion del elemento
     *
     */
    
    int pos = 0;
    public int addLabel(String label){
        //Command command = new Command(label,Command.ITEM, 1);
        //addCommand(command);
        append(label,null);
        return pos++;
        //return command;
    }
    
    public void commandAction(javax.microedition.lcdui.Command command , javax.microedition.lcdui.Displayable displayable) {
        if (command == btnAceptar){
            acceptAction( getSelectedIndex());
        }
        if (command == btnCancelar){
            cancelAction( getSelectedIndex());
        }
        
    }
    
    public abstract void acceptAction(int selected) ;
    public abstract void cancelAction(int selected) ;
    
}
