package net.comtor.j2me.gui;


import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
/**
 *
 * @author  root
 */
public class GlobalGui {
    static GlobalGui config;
    MIDlet midlet;
    static {
        config = new GlobalGui();
    }
    
    /** Creates a new instance of Config */
    private  GlobalGui() {
    }
    
    public static GlobalGui getInstance(){
        return config;
    }
    
    /** Getter for property midlet.
     * @return Value of property midlet.
     *
     */
    public javax.microedition.midlet.MIDlet getMidlet() {
        return midlet;
    }
    
    /** Setter for property midlet.
     * @param midlet New value of property midlet.
     *
     */
    public void setMidlet(javax.microedition.midlet.MIDlet midlet) {
        this.midlet = midlet;
    }
    
    
    public static void  setCurrentDisplay(Displayable displayable) {
        Display.getDisplay(getInstance().getMidlet()).setCurrent(displayable);
    }    
    
    public static Display getCurrentDisplay() {
        return Display.getDisplay(getInstance().getMidlet());
    }    
    public static Display getDisplay(){
    	return Display.getDisplay(GlobalGui.getInstance().getMidlet());
    }
    
    public static void showError(String error, String message, int timeout_millis ){
        /*
		Alert alerta  = new Alert(error, message, null, AlertType.ERROR);
		alerta.setTimeout(timeout_millis);
		GlobalGui.getDisplay().setCurrent(alerta);	
         */
        System.out.println("=================\nERROR\n"+error+":"+message);
      
        GlobalGui.setCurrentDisplay(new ErrorMessage("/stop.png",error,message,AlertType.ERROR, timeout_millis));
        
    }
    
    public static void showError(String error, String message, int timeout_millis, Displayable nextDisplayable ){
        /*
		Alert alerta  = new Alert(error, message, null, AlertType.ERROR);
		alerta.setTimeout(timeout_millis);
		GlobalGui.getDisplay().setCurrent(alerta);	
        System.out.println("ERROR "+error+":"+message);
         */
        ErrorMessage errorMessage = new ErrorMessage("/stop.png",error,message,AlertType.ERROR, timeout_millis);
        errorMessage.setLastDisplay(nextDisplayable);
        GlobalGui.setCurrentDisplay(errorMessage);
        
    }    
    

    /**
     * @param alertType
     */
    public static void playSound(final AlertType alertType) {
        alertType.playSound(Display.getDisplay(GlobalGui.getInstance().getMidlet()));
    }

    public static void gsleep(long time) {
        try{
            Thread.sleep(time);
        }
        catch(Exception e){
        }
    }
    
}



