<%@ page import="javax.management.*" %>
<%@ page import="coms.*" %>
<%@ page import="coms.metadata.*" %>
<%@ page import="java.util.LinkedHashMap" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Set" %>
<%@ page import="java.util.LinkedHashSet" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.io.IOException" %>
<%@ page import="coms.core.inference.*" %>
<%@ page import="java.lang.SecurityException" %>
<%@ page contentType="text/html; charset=ISO-8859-5" %> 
<%@ include file="functions.jsp" %>

<% 	
	String comID = null;
	HashMap<String, String> options = null;
	String errormsg = "";
	String action = "";
	String ruleID = "";
	Engine engine = null;
	RuleSet ruleset = null;
	
	try{
		comID = request.getParameter("comID");
		action = request.getParameter("action");
		if(action == null) action = "";
		ruleID = request.getParameter("ruleid");
		if(ruleID == null) ruleID = "";
		options = getComponentConfig(comID);	
		engine = getEngine(comID);	
		ruleset = engine.getRuleSet();
		
	}catch(Exception e){
		errormsg = "<span style=\"color:red\">Error: </span>Could not connect to the CoMS<br>Caused by: "+ e.toString();
	}
	
%>
<form method="POST" action="index.jsp?id=process&action=changeConfig">
<table cellspacing="0" cellpadding="0" border="0" align="center" width="80%">
<tr>
	<td>
    <table border="0" cellpadding="4" cellspacing="1" width="100%" class="itemtable">
    <tr>
        <th align="center" nowrap="nowrap" width="50%">&nbsp;<span class="table_header">Option</span>&nbsp;</th>
        <th align="center" nowrap="nowrap" width="50%">&nbsp;<span class="table_header">Value</span>&nbsp;</th>
   	</tr>

<%  
if(options != null){
	Set keys = options.keySet();
    Iterator it = keys.iterator();
    String key = null;
    
    while(it.hasNext()){
    	key = (String) it.next();
    	String opt = options.get(key);
%>

	<tr>
		<td class="table_cell"><%= key %></td>
		<td class="table_cell">
			<input type="text" value="<%= opt %>" name="<%= key %>">
			<input type="hidden" value="<%= comID %>" name="comID">
		</td>
	</tr>
<% 	} 
}else{
%>
	<tr>
		<td><%= errormsg %></td>
	</tr>

<% } %>

	<tr>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td><input type="submit" value="Change config"></td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>

	</td>
</tr>
<tr>
	<td>&nbsp;</td>
</tr>
<% 	
	if(engine != null){
%>
<tr>
	<td>
    	<table border="0" cellpadding="4" cellspacing="1" width="100%" class="itemtable">
    	<tr>
        	<th align="center" nowrap="nowrap" width="100">&nbsp;<span class="table_header">Inference Rules</span>&nbsp;</th>
        	<th align="center" nowrap="nowrap" width="100">&nbsp;<span class="table_header">Status</span>&nbsp;</th>
        	<th align="center" nowrap="nowrap" width="100">&nbsp;<span class="table_header">Delete</span>&nbsp;</th>
   		</tr>
			
			<%	
				HashMap<Integer, Rule> rules = ruleset.getRules(); 
				Iterator it = rules.keySet().iterator();
				
				while(it.hasNext()){
					Integer key = (Integer) it.next();
					String ruleid = String.valueOf(key.intValue());
					Rule rule = (Rule) rules.get(key);
					String name = rule.getName();
					
			%>
			
			<tr>
				<td class="table_cell"><a href="index.jsp?id=rules&action=changeRule&comID=<%= comID %>&ruleID=<%= ruleid %>" class="text"><%= name %></a></td>
				<td class="table_cell" align="center">
					<span class="text">
					[
					<%  String output = "";
						
						if(ruleID.equals(ruleid)){
							if(action.equals("ruleChanged"))
								output = "<span style=\"color:#CC0000\">was changed</span>";
							else if(action.equals("ruleDeleted"))
								output = "<span style=\"color:#CC0000\">was deleted</span>";
							else
								output = "<span style=\"color:blue\">Running</span>";
						}else{
							output = "<span style=\"color:blue\">Running</span>";	
						}
					%>
					<%= output %>
					]
					</span>
				</td>
				<td class="table_cell" align="center">
					<a href="index.jsp?id=process&action=deleteRule&comID=<%= comID %>&ruleID=<%= ruleid %>" class="text">Delete</a>
				</td>
			</tr>
			
			<%	} %>
			
			<tr>
				<td class="table_cell" colspan="3" style="border-top:thin dotted #000000">
					<a href="index.jsp?id=rules&action=newRule&comID=<%= comID %>" class="text">Add new rule</a>
				</td>
			</tr>
			
			</table>
	
	</td>
</tr>
<% } %>
</table>
</form>