<%@ page import="javax.management.*" %>
<%@ page import="coms.*" %>
<%@ page import="coms.metadata.*" %>
<%@ page import="java.util.LinkedHashMap" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.lang.reflect.Method" %>
<%@ page import="java.util.Set" %>
<%@ page import="java.util.LinkedHashSet" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.io.IOException" %>
<%@ page import="coms.core.inference.*" %>
<%@ page import="java.lang.SecurityException" %>
<%@ page contentType="text/html; charset=ISO-8859-5" %> 
<%@ include file="functions.jsp" %>
<%@ include file="ruleFunctions.jsp" %>

<%
	String comID = "";
	String ruleID = "";
	String errormsg = "";
	String action = "";
	Engine engine = null;
	RuleSet ruleset = null;
	Rule rule = null;
	Hashtable<String, Class> factClasses = null;
	HashMap<String, String> selects = null;
	Set conditions = null;
	Actions actions = null;
	Iterator it = null;
	Iterator iter = null;
	int ruleCount = 0;
	
	try{
		action = request.getParameter("action");
		if(action == null) action = "";
		
		comID = request.getParameter("comID");
		engine = getEngine(comID);	
		ruleset = engine.getRuleSet();
		ruleCount = ruleset.getCount();
		factClasses = getFactClasses(comID);
	
		if(action.equals("changeRule")){
			ruleID = request.getParameter("ruleID");
			rule = (Rule) ruleset.getRules().get(new Integer(ruleID));
			selects = rule.getSelects();
			conditions = rule.getConditions();
			actions = rule.getActions();
		}
		
		
	}catch(Exception e){
		errormsg = "<span style=\"color:red\">Error: </span>Could not connect to the CoMS<br>Caused by: "+ e.toString();
	}
%>
<form method="POST" name="ruleform">
<% 	
	String form1 = "index.jsp?id=rules&action="+action+"&comID="+comID+"&ruleID="+ruleID;
	String form2 = "index.jsp?id=process&action=changeRule&comID="+comID;
	String form3 = "index.jsp?id=process&action=addRule&comID="+comID;
%>
<input type="hidden" name="rule:id" value="<%= ruleID %>">
<table cellspacing="0" cellpadding="0" border="0" align="center" width="90%">
<tr>
	<td>
		
		<table cellspacing="0" cellpadding="0" border="0" align="center">
		<tr>
			<td><b>Name:</b></td>
			<td width="15">&nbsp;</td>
			<td colspan="10">
				<% if(action.equals("changeRule")){ %>
					<%= rule.getName() %>
					<input type="hidden" name="rule:name" value="<%= rule.getName() %>">
				<% }else if(action.equals("newRule")){ 
						String rname = request.getParameter("rule:name");
						if(rname != null){ 
				%>
							<input type="text" name="rule:name" value="<%= rname %>" size="15">
						<% }else{ %>
							<input type="text" name="rule:name" value="" size="15">
						<% } %>
				<% } %>
			</td>
		</tr>
		<tr>
			<td><b>Order:</b></td>
			<td width="15">&nbsp;</td>
			<td>
				<select name="rule:order">
				<%  String selected = "";
					for(int x=0;x<ruleCount;x++){ 
						selected = "";
						if(action.equals("changeRule"))
				   			if(x == new Integer(rule.getOrder()).intValue())
				   				selected = "SELECTED";
				%>
					<option value="<%= x %>" <%= selected %>><%= x %></option>
				<% } %>
				</select>
			</td>
			<td width="15">&nbsp;</td>
			<td><b>No-loop:</b></td>
			<td width="15">&nbsp;</td>
			<td colspan="10">
				<select name="rule:loop">
				<% if(action.equals("changeRule")){
				  		if(rule.allowLoop().equalsIgnoreCase("true")){ %>
							<option value="true" SELECTED>true</option>
							<option value="false">false</option>
						<% }else{ %>
							<option value="false" SELECTED>false</option>
							<option value="true">true</option>
						<% } 
					}else{
				%>
					<option value="true" SELECTED>true</option>
					<option value="false">false</option>
				<% } %>
				</select>
			</td>
		</tr>
		<tr>
			<td colspan="10">------------------------------------------------------------------------------------------------</td>
		</tr>
		<% if(action.equals("changeRule")){ %>
			<% String html = buildSelects(selects, factClasses); %>
			<%= html %>
		<% } %>
			
		<% String html = buildNewSelects(factClasses, request, form1); %>
			<%= html %>
		<tr>
			<td colspan="10">------------------------------------------------------------------------------------------------</td>
		</tr>
		<% if(action.equals("changeRule")){ %>
			<% html = buildConditions(conditions, factClasses); %>
			<%= html %>
		<% } %>
		<% 		
		html = buildNewConditions(factClasses, request, form1); %>
			<%= html %>
		<tr>
			<td><b>Actions:</b></td>
			<td width="15">&nbsp;</td>
			<td colspan="12">
				<textarea style="width:100%" rows="10" name="actions:content">
					<% if(action.equals("changeRule")){ %>
						<% html = actions.getContent(); %>
						<%= html %>
					<% } %>
				</textarea>
			</td>	
		</tr>
		<% if(action.equals("changeRule")){ %>
			<% html = buildActions(actions, selects); %>
			<%= html %>
		<% } %>
		<% 	html = buildNewActions(request, selects, form1); %>
		<%= html %>
		<tr>
			<td colspan="10">------------------------------------------------------------------------------------------------</td>
		</tr>
		<tr>
			<td colspan="10" align="right">
				<% if(action.equals("changeRule")){ %>
					<input type="button" value="Update Rule" onClick="submitForm('ruleform', '<%= form2 %>')">
				<% }else{ %>
					<input type="button" value="Add Rule" onClick="submitForm('ruleform', '<%= form3 %>')">
				<% } %>
			</td>
		</tr>
		</table>

	</td>
</tr>
</table>
</form>
</form>