package coms.core.inference;

import java.util.HashSet;

public class Actions{
	
	private String content;
	private HashSet<String> inserts;
	private HashSet<String> updates;
	private HashSet<String> removes;
	
	public Actions(){
		inserts = new HashSet<String>();
		updates = new HashSet<String>();
		removes = new HashSet<String>();
	}
	
	public void setContent(String c){
		this.content = c.trim();
	}
	
	public void addInsert(String i){
		this.inserts.add(i);
	}
	
	public void addUpdate(String u){
		this.updates.add(u);
	}
	
	public void addRemove(String r){
		this.removes.add(r);
	}
	
	public String getContent(){
		return this.content;
	}
	
	public HashSet<String> getInserts(){
		return this.inserts;
	}	
	
	public HashSet<String> getUpdates(){
		return this.updates;
	}
	
	public HashSet<String> getRemoves(){
		return this.removes;
	}
	
}