/*
 * @(#)file      EngineNotFoundException.java
 * @(#)author    Mats Mortensen
 * @(#)version   0.9
 * @(#)lastedit  29.4.2005
 * 
 */

package coms.core.inference;

/**
* Describes an exception that can happen in the InferenceFactory
*/
public class EngineNotFoundException extends Exception{
	
	private static final long serialVersionUID = 1L;
	
	String error;
	/**
	 *Constructor sets the error attribute
	 *@param err String of error
	 */
	public EngineNotFoundException(String err){
		super();
		error = err;
	}
	
	/**
	 *Returns the errormessage
	 *@return error
	 */
	public String getMessage(){
		return error;
	}

}