/*
 * @(#)file      LoadException.java
 * @(#)author    Mats Mortensen
 * 
 */

package coms.core.inference;

/**
* Describes an exception that can happen in the InferenceFactory
*/
public class LoadException extends Exception{
	
	private static final long serialVersionUID = 1L;
	
	String error;
	/**
	 *Constructor sets the error attribute
	 *@param err String of error
	 */
	public LoadException(String err){
		super();
		error = err;
	}
	
	/**
	 *Returns the errormessage
	 *@return error
	 */
	public String getMessage(){
		return error;
	}

}