/*
 * @(#)file      ComponentLoaderMBean.java
 * @(#)author    Mats Mortensen
 * @(#)version   0.9
 * 
 */
package coms.mbeans;

import java.io.File;

/**
 * An interface which specifies what methods the ComponentLoader class must
 * implement. It is also these methods who are exposed through JMX (the
 * mbeanserver)
 */
public interface ComponentLoaderMBean {
	public void setDeployDir(String dir);

	public Boolean loadJarFile(File file);

	public String deployLoadedJars();

	public Boolean _setJarTimeStamp(String name);

	public void loadComponents();
}
