package coms.mbeans;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;

/**
 * Interface for the FileStorage class
 * 
 * @author Tom Arild Jakobsen & Mats Mortensen
 */
public interface FileHandlerMBean {
	public void setMaxFiles(Integer max);

	public Integer getMaxFiles();

	public String putFile(InputStream stream) throws IOException;

	public String putFile(Byte[] data) throws IOException;

	public void putIntoFile(String fileId, Byte[] data) throws IOException;

	public InputStream readFile(String path) throws FileNotFoundException;

	public void deleteFile(String path);
}
