package coms.mbeans;

import coms.core.LogObject;

/**
 * This interface capsules the Logger.java methods.
 * 
 * @author Mats Mortensen
 * @see Logger.java
 */
public interface LoggerMBean {
	public void setFile(String n);

	public void clear();

	public void setOn(boolean isOn);

	public boolean isOn();

	public void log(String msg);

	public LogObject readLog(Long time);

	public Boolean checkLog(Long time);

	public void clearMsg();
}
