package com.telenor.apms.fifamos.client.j2se.utils;

/**
 * RPCHandlerResult.java
 * 
 * Interface with method for sending back current sensor values as a vector
 * 
 * @author JAG
 * @copyright JAG  2006
 * @version 1.0
 */

import java.util.Vector;

import com.telenor.apms.fifamos.client.j2se.objects.Alarm;
import com.telenor.apms.fifamos.client.j2se.objects.Sensor;


public interface RpcHandlerResult {
	public void passResult(Vector<Sensor> sensorInfo, Vector<Alarm> alarmInfo, String gpsData);
	public void updateStatus(String newStatus, int type);
}
