package com.telenor.apms.fifamos.client.j2se.utils;

/**
 * SaveFile.java
 * 
 * Saves statusinfo to a logfile
 * 
 * @author JAG
 * @copyright JAG  2006
 * @version 1.0
 */

import java.io.*;
import java.util.Date;

public class SaveFile {
	// Main method
	public SaveFile(String status) throws Exception{
		// Stream to write file
		FileOutputStream fos;		
		// Open an output stream
		String timestamp = new Date().toLocaleString();
		timestamp = timestamp.replace(':','.');
		File dir = new File("logs");
		if(!dir.isDirectory()) {
			dir.mkdir();
		}
		File logFile = new File("logs\\log "+timestamp+".txt"); 
		fos = new FileOutputStream (logFile);
		// Print a line of text
		new PrintStream(fos).print(status);
		// Close our output stream
		fos.close();		
	}	
}
