<%@ page import="coms.tools.relational.*"%>
<%@ page import="coms.database.*"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.util.*"%>

<%
			String action = request.getParameter("action");
			String id = request.getParameter("id");
			if(id.equals("-1"))
				id = null;
			StringBuffer xml = new StringBuffer();
			xml.append("<xml>\n");

			try {

				if (action.equals("alarm") && id == null) {
					Update update = new Update("alarm", "Derby");
					update.column("confirmed", new java.sql.Timestamp(new java.util.Date().getTime()));
					update.and("confirmed", Update.EQUAL, new java.sql.Timestamp(0));
					update.execute();
					
				} else if (action.equals("frame")) {
					Select sel = new Select("frame", "Derby");

					List list = sel.execute();

					Iterator it = list.iterator();
					while (it.hasNext()) {
						HashMap frame = (HashMap) it.next();
						xml.append("<frame>\n");
						xml.append("<id>" + frame.get("id") + "</id>\n");
						xml.append("<location>" + frame.get("location")
								+ "</location>\n");
						xml.append("<description>" + frame.get("description")
								+ "</description>\n");
						xml.append("<mobile>" + frame.get("mobile")
								+ "</mobile>\n");
						xml.append("<email>" + frame.get("email")
								+ "</email>\n");
						xml.append("</frame>\n");

					}
				} else if (action.equals("seacage") && id != null) {

					Select selSC = new Select("seacage", "Derby");
					selSC.and("frameid", Select.EQUAL, Integer.parseInt(id));
					List<Map<String, Object>> list1 = selSC.execute();

					Iterator it1 = list1.iterator();
					while (it1.hasNext()) {
						HashMap seacage = (HashMap) it1.next();
						xml.append("<seacage>\n");
						xml.append("<id>" + seacage.get("id") + "</id>\n");
						xml.append("<latitude>" + seacage.get("latitude")
								+ "</latitude>\n");
						xml.append("<longitude>" + seacage.get("longitude")
								+ "</longitude>\n");
						xml.append("<description>" + seacage.get("description")
								+ "</description>\n");
						xml.append("<frameid>" + seacage.get("frameid")
								+ "</frameid>\n");
						xml.append("</seacage>\n");

					}
				} else if (action.equals("sensor") && id != null) {
					//						select the sensor
					Select selSensor = new Select("sensor", "Derby");
					selSensor.and("seacageid", Select.EQUAL, Integer.parseInt(id));
					List<Map<String, Object>> list2 = selSensor.execute();

					Iterator it2 = list2.iterator();
					while (it2.hasNext()) {
						HashMap sensor = (HashMap) it2.next();
						int sensorid = (int) (Integer) sensor.get("id");

						xml.append("<sensor>\n");
						xml.append("<id>" + sensorid + "</id>\n");

//							sensor type id
						int sensortypeid = (Integer) sensor.get("sensortypeid");

//							select type (in text), max- and min range for the sensor type
						Select selSensorType = new Select("sensortype", "Derby");
						selSensorType.and("id", Select.EQUAL, sensortypeid);

						HashMap sensortype = (HashMap) selSensorType.execute().iterator().next();

						xml.append("<type>" + sensortype.get("type") + "</type>\n");
						xml.append("<unit>" + sensortype.get("unit") + "</unit>\n");
						xml.append("<maxrange>" + sensortype.get("maxrange") + "</maxrange>\n");
						xml.append("<minrange>" + sensortype.get("minrange") + "</minrange>\n");

//							max allowed value
						xml.append("<maxvalue>" + sensor.get("maxvalue") + "</maxvalue>\n");
//							min allowed value 
						xml.append("<minvalue>" + sensor.get("minvalue") + "</minvalue>\n");

//							 select the current value for the current sensor
						Select selSensorValue = new Select("sensorvalue", "Derby");
						selSensorValue.orderBy("received", Select.DESCENDING);
						selSensorValue.and("sensorid", Select.EQUAL, sensorid);

//							in case there are no sensor values
						try {
							HashMap sensorValue = (HashMap) selSensorValue.execute().iterator().next();
							xml.append("<sensorvalue>" 	+ sensorValue.get("value") + "</sensorvalue>\n");
						} catch (Exception e) {
							xml.append("<sensorvalue>0</sensorvalue>\n");
						}

						xml.append("<seacageid>" + sensor.get("seacageid") 	+ "</seacageid>\n");
						xml.append("</sensor>\n");
					}
				}

				
//				get alarms, always
				Select select = new Select("alarm", "Derby");
				select.and("confirmed", Select.EQUAL, new Timestamp(0));

				List<Map<String, Object>> list3 = select.execute();
				Iterator it3 = list3.iterator();

				if(!it3.hasNext())
					xml.append("<alarm />");

				while (it3.hasNext()) {
					HashMap map = (HashMap) it3.next();

					xml.append("<alarm>\n");
					xml.append("<id>" + map.get("id") + "</id>\n");
					xml.append("<scid>" + map.get("seacageid") + "</scid>\n");
					xml.append("<sid>" + map.get("sensorid") + "</sid>\n");
					xml.append("<msg>" + map.get("message") + "</msg>\n");
					xml.append("</alarm>\n");
				}

			} catch (Exception e) {
				e.printStackTrace();
			}

			xml.append("</xml>\n");

			//		out.println(xml.toString());

			if (xml.toString().length() > 0) {
				response.setStatus(200);
				response.setContentType("text/xml");
				response.setHeader("Cache-Control", "no-cache");
				response.getWriter().write("" + xml.toString() + "");
			} else {
				//nothing to show
				response.setStatus(500);
			}
		%>
