package com.telenor.apms.fifamos.client.j2me.gui;

import java.util.Vector;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.List;

import com.telenor.apms.fifamos.client.j2me.control.RpcHandler;
import com.telenor.apms.fifamos.client.j2me.control.RpcHandlerResult;
import com.telenor.apms.fifamos.client.j2me.objects.Frame;
import com.telenor.apms.fifamos.client.j2me.objects.Sensor;


import net.comtor.j2me.util.StringVector;

/**
 * @author JAG
 * @copyright JAG  2006
 * @version 1.0
 */

public class FrameList extends List implements RpcHandlerResult {

	private Command exitCommand;
	private Command backCommand;
	private Vector frames = new Vector();
	
	public FrameList(String arg0, int arg1) {
		super(arg0, arg1);
		append("Et yeblikk, henter data....", null);
		exitCommand = new Command("Exit", Command.EXIT, 1);
		backCommand = new Command("Back", Command.BACK, 1);
		this.addCommand(exitCommand);
		this.addCommand(backCommand);
		Vector params = new Vector();
		params.addElement("");
		params.addElement("");
		params.addElement("");
		params.addElement("");
		Thread t = new Thread (new RpcHandler("Output.getFrames", params, this));
		t.start();
	}
	
	public void passResult(StringVector sv) {
		delete(0);
		for(int i = 0; i<sv.size(); i++) {
			Frame f = new Frame(sv.stringElementAt(i));
			frames.addElement(f);
			append(f.toString(), null);
		}
	}
	
	public void passError(String error) {
		delete(0);
		append(error, null);
	}
	
	public Frame getFrame(int i) {
		return (Frame)frames.elementAt(i);
	}
}
