package com.telenor.apms.fifamos.client.j2me.objects;

import net.comtor.j2me.util.StringVector;

/**
 * SeaCage.java
 * 
 * Class that describes a sea cage
 * 
 * @author JAG
 * @copyright JAG  2006
 * @version 1.0
 */
public class SeaCage {
	private String ID;
	private String latitude;
	private String longitude;
	private String description;
	private String frameID;
	
	public SeaCage(String input) {
		StringVector sv = new StringVector(input, ':');
		ID = sv.stringElementAt(0);
		latitude = sv.stringElementAt(1);
		longitude = sv.stringElementAt(2);
		description = sv.stringElementAt(3);
		frameID = sv.stringElementAt(4);
	}
	public String getID() {
		return ID;
	}
	public String getLatitude() {
		return latitude;
	}
	
	public String getLongitude() {
		return longitude;
	}
	
	public String getDescription() {
		return description;
	}
	
	public String getFrameID() {
		return frameID;
	}
	public String toString() {
		return ("ID "+ID+": "+description);
	}
}
