/*
 * CanvasText.java
 *
 * Created on July 20, 2004, 12:07 PM
 */

package net.comtor.j2me.gui;

import javax.microedition.lcdui.*;
import java.util.*;
import net.comtor.j2me.util.*;
/**
 *
 * @author  root
 */
public class CanvasText extends CanvasClean{
    Vector messages;
    Font font = Font.getFont(Font.FACE_MONOSPACE, Font.STYLE_PLAIN,Font.SIZE_SMALL); 
    int textWidth = 22;
    
    
    /** Creates a new instance of CanvasText */
    public CanvasText() {
        super();
        
        messages = new Vector();
    }
    
    protected void paint(javax.microedition.lcdui.Graphics g) {
        super.paint(g);

        g.setColor(0,0,0);
        g.drawRect(0,0, getWidth()-1, getHeight() -1);
        g.setFont(font);
        for (int i = 0 ; i < messages.size(); i++){
            g.drawString((String)messages.elementAt(i), 3,i*10, g.LEFT| g.TOP);
        }
    }
    
    public void resetText(){
        messages = new Vector();
    }
    
    public synchronized void addText(String text){
        StringVectorUsingWidth svw = new StringVectorUsingWidth(text, textWidth);
        
        for (int i = 0 ; i < svw.size(); i++){
            messages.addElement(svw.elementAt(i));
        }
        repaint();
    }
    
    /** Getter for property font.
     * @return Value of property font.
     *
     */
    public javax.microedition.lcdui.Font getFont() {
        return font;
    }    
    
    /** Setter for property font.
     * @param font New value of property font.
     *
     */
    public void setFont(javax.microedition.lcdui.Font font) {
        this.font = font;
    }
    
    /** Getter for property width.
     * @return Value of property width.
     *
     */
    public int getTextWidth() {
        return textWidth;
    }
    
    /** Setter for property width.
     * @param width New value of property width.
     *
     */
    public void setTextWidth(int width) {
        this.textWidth = width;
    }
    
}
