/*
 * GraphicMessage.java
 *
 * Created on July 6, 2004, 6:05 PM
 */

package net.comtor.j2me.gui;
import javax.microedition.lcdui.*;
import net.comtor.j2me.util.*;
/**
 *
 * @author  root
 */
public class GraphicMessage extends CanvasClean{
    
    private  int textWidth  = 14;
    private Font font = Font.getFont(Font.FACE_MONOSPACE, Font.STYLE_PLAIN,Font.SIZE_SMALL);
    private String message;
    private Displayable oldDisplayable = null;
    
    /** Creates a new instance of GraphicMessage */
    public GraphicMessage(String message) {
        super();
        this.message = message;
        
    }
    public GraphicMessage(String message, GlobalGui gg) {
        
        //
        this.message = message;
        oldDisplayable = Display.getDisplay(gg.getMidlet()).getCurrent();
        Display.getDisplay(gg.getMidlet()).setCurrent(this);
    }
    
    protected  void paint(javax.microedition.lcdui.Graphics g) {
        super.paint(g);
        
        g.setColor(0,0,0);
        g.setFont(font);
        
        
        //int width = 12 ;
        int y = 0;
        String word = "";
        if (message != null){
            for (int i =0 ; i < message.length(); i++){
                word = word + message.charAt(i);
                if (message.charAt(i) == '\n')    {
                    
                    StringVectorUsingWidth svw = new StringVectorUsingWidth(word,textWidth);
                    for (int j =0; j < svw.size(); j++){
                        //g.drawString(word,  0,10+y, g.TOP|g.LEFT);
                        g.drawString(svw.stringElementAt(j),  0,10+y, g.TOP|g.LEFT);
                        y+=10;
                    }
                    word = "";
                }
            }
        }
        g.drawString(word,  0,10+y, g.TOP|g.LEFT);
    }
    
    /** Getter for property message.
     * @return Value of property message.
     *
     */
    public java.lang.String getMessage() {
        return message;
    }
    
    /** Setter for property message.
     * @param message New value of property message.
     *
     */
    public void setMessage(java.lang.String message) {
        this.message = message;
    }
    
    /** Getter for property font.
     * @return Value of property font.
     *
     */
    public javax.microedition.lcdui.Font getFont() {
        return font;
    }
    
    /** Setter for property font.
     * @param font New value of property font.
     *
     */
    public void setFont(javax.microedition.lcdui.Font font) {
        this.font = font;
    }
    
    /** Getter for property width.
     * @return Value of property width.
     *
     */
    public int getTextWidth() {
        return textWidth;
    }
    
    /** Setter for property width.
     * @param width New value of property width.
     *
     */
    public void setTextWidth(int width) {
        this.textWidth = width;
    }
    
}
