/*
 * MIDletTemplate.java
 *
 * Created on August 15, 2004, 10:12 PM
 */

package net.comtor.j2me.midlet;


import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
/**
 *
 * @author  root
 */
public abstract class MIDletTemplate extends MIDlet{
    
    private Display display;
    private Displayable lastDisplayable = null;
    /** Creates a new instance of MIDletTemplate 
     * Initialize GlobalGui and display variable
     *
     *
     *
     */
    public MIDletTemplate() {
        super();
        net.comtor.j2me.gui.GlobalGui.getInstance().setMidlet(this);
        display = Display.getDisplay(this);
    }
    
    protected void destroyApp(boolean param) throws javax.microedition.midlet.MIDletStateChangeException {
        
    }    
    /**
     *  Maneja el evento en el cual se pausa la aplicacion por una llamada o por solicitud del 
     *  usuario
     */
    protected void pauseApp() {
        lastDisplayable = Display.getDisplay(this).getCurrent();
    }
    
    
    
    /**
     *This method is called when the Midlet starts or the Midlet returns from pause state
     *
     *this method restores last Displayable before pause
     */
    protected void startApp() throws javax.microedition.midlet.MIDletStateChangeException {
        if (lastDisplayable == null){  // The midlets starts
             realStart();
        }
        else{  
            getDisplay().setCurrent(lastDisplayable);
        }
    }
    
    /** Getter for property display.
     * @return Value of property display.
     *
     */
    public javax.microedition.lcdui.Display getDisplay() {
        return display;
    }
    
    /** Setter for property display.
     * @param display New value of property display.
     *
     */
    public void setDisplay(javax.microedition.lcdui.Display display) {
        this.display = display;
    }
    
    
    
    /**
     *  This method is the real start of Applet
     *  You mut be call here the first Displayable 
     * i.e: getDisplay().setCurrent(new Form("TEST"));
     */
    public abstract void realStart();
    
}
