
package net.comtor.j2me.net;
import net.comtor.j2me.util.*;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import javax.microedition.io.* ;
import java.io.*;
import java.util.*;
import javax.microedition.rms.*;
import net.comtor.j2me.gui.*;

public class Communications {
    
    static Communications instance;
    
    static {
        instance = new Communications();
    }
    
    
    private Communications(){
    }
    
    
    HttpConnection http = null;
    DataInputStream in = null ;
    
    
    synchronized public  String readFromHttpConnection(HttpConnection conn, StringItem tf) throws IOException{
        DataInputStream in = new DataInputStream(conn.openInputStream());
        int ch;
        int i = 0;
        StringBuffer str = new StringBuffer();
        //str.ensureCapacity();
        while ((ch = in.read()) != -1){
            char c = (char)ch;
            str.append(c);
            if (tf != null && (i%20 == 0)){
                tf.setText("Cargando "+i+" bytes");
                //Thread.yield();
            }
            i++;
        }
        in.close();
        return str.toString();
    }
    
    
    synchronized public  Vector readFromHttpConnectionIntoVector(HttpConnection conn, StringItem tf)  throws IOException{
        
        String buff = readFromHttpConnection(conn,tf);
        Vector vec= (Vector) new StringVector(buff,'\n');
        System.gc();
        return vec;
    }
    
    
    synchronized  public String beautyHttpQuery(String url) {
        HttpConnection http = null;
        
        
        url.replace(' ','+');
        url.replace('\n','+');
        
        
        String error = "";
        
        int i =0 ;
        while (true){
            i++;
            try {
                System.out.println("ME VOY A CONECTAR "+url);
                http =  (HttpConnection)Connector.open(url);
                String resp = readFromHttpConnection(http, null);
                http.close();
                return resp;
            }
            
            catch(Exception e){
                error = " ERROR: "+e+" "+url;
            }
            finally{
                if (http != null){
                    try {
                        http.close();
                    }
                    catch(IOException ee){
                    }
                }
            }
        }
        
    }
    
    
    synchronized  public String beautyHttpQuery(String url, int intentos , GraphicMessage gm, Displayable retorno ) {
        /*
        Thread th = new Thread(new Runnable () {
            public void run(){
            }
         
        });
         */
        System.out.println(" URL "+url);
        HttpConnection http = null;
        
        url.replace(' ','+');
        url.replace('\n','+');
        
        
        String error = "";
        
        int i =0 ;
        while (i < intentos){
            i++;
            try {
                http =  (HttpConnection)Connector.open(url);
                String resp = readFromHttpConnection(http, null);
                http.close();
                return resp;
            }
            
            catch(Exception e){
                error = " ERROR: "+e+" "+url;
            }
            finally{
                if (http != null){
                    try {
                        http.close();
                    }
                    catch(IOException ee){
                    }
                }
            }
        }
        return "";
        
    }
    
    public synchronized boolean connect(String url){
        System.out.println("connect "+url);
        try {
            //Connection c  = Connector.open(url);
            
            http =  (HttpConnection)Connector.open(url);
            in= new DataInputStream(http.openInputStream());
            System.out.println("nuevo inputStream");
            
        }
        catch(Exception e){
            System.out.println("ERROR "+e);
            return false;
        }
        return true;
    }
    
    
    public synchronized String readLine()  {
        StringBuffer str = new StringBuffer();
        
        try{
            int ch;
            int i = 0;
            while ((ch = in.read()) != -1){
                char c = (char)ch;
                if (c != '\n'){
                    str.append(c);
                }
                else  {
                    return str.toString();
                }
                i++;
            }
            try{
                in.close();
            }
            catch(Exception ee){
            }
            try{
                http.close();
                http = null;
            }catch(Exception ee){
            }
        }
        catch(Exception e){
            if (in != null){
                try{
                    in.close();
                }
                catch(Exception ee){
                }
            }
            if (http != null){
                try{
                    http.close();
                    http = null;
                }catch(Exception ee){
                }
            }
            return null;  // Returns null if something fails
        }
        if (str.length() > 0 ){
            return str.toString();
        }
        else{    // Returns null if str's length  is 0
            return null;
        }
        
    }
    
    public static Communications getInstance(){
        return instance;
    }
}


