/*
 * HttpSocketConnection.java
 *
 * Created on August 16, 2004, 11:51 AM
 */

package net.comtor.j2me.net;


import javax.microedition.io.*;
import java.io.*;
/**
 *
 * @author  root
 */
public class HttpSocketConnection {
    
    String server;
    int port = 80;
    String hostName;
    String query;
    
    /** Creates a new instance of HttpSocketConnection */
    public HttpSocketConnection(String server,   String query, int port , String hostName ) {
        init(server , query, port, hostName);
    }
   
    public HttpSocketConnection(String server,   String query ) {
        init(server, query, 80, server);
    }
    
    public HttpSocketConnection(String server,   String query ,String hostName) {
        init(server, query, 80, hostName);
    }
    
    private void init (String server,   String query, int port , String hostName ) {
        this.server = server;
        this.query = query;
        this.port = port ;
        this.hostName = hostName;
    }
    
    
    public InputStream connect() throws Exception{
        
        StreamConnection sc = (StreamConnection) Connector.open("socket://"+server+":"+port);
        DataOutputStream os = sc.openDataOutputStream();
        DataInputStream is = sc.openDataInputStream();
        
        
        String command  = "GET "+query+" HTTP/1.0\r\n"+
                          "Host: "+hostName+"\r\n\r\n";
        os.write(command.getBytes());
        
        // Cliclo para deshacernos de los encabezados
        
        String linea = "";
        do {
            char c = (char)is.readByte();
            linea +=c;
           // System.out.println(" ==== " +linea);
        }while( !linea.endsWith("\r\n\r\n"));
        
        return is;
    }

}
