/*
 * SerialPrinter.java
 *
 * Created on August 29, 2004, 5:58 PM
 */

package net.comtor.j2me.print;

import java.io.OutputStream;
import javax.microedition.io.Connector;
import javax.microedition.io.StreamConnection;


/**
 *
 * @author  root
 */
public class SerialPrinter {
    private int baudRate = 9600;
    private String parity = "n";
    private int dataBits = 8;
    private int stopBits = 1;
    
    
    
    public SerialPrinter(){
    }
    
    /** Creates a new instance of SerialPrinter */
    public SerialPrinter(
    int    baudRate,
    String parity,
    int    dataBits ,
    int    stopBits ) {
        
        init(baudRate, parity, dataBits, stopBits);
    }
    
    /**
     * @param baudRate
     * @param parity
     * @param dataBits
     * @param stopBits
     */
    private void init(final int baudRate, final String parity, final int dataBits, final int stopBits) {
        this.baudRate = baudRate ;
        this.parity   = parity   ;
        this.dataBits = dataBits ;
        this.stopBits = stopBits ;
    }
    
    
    /**
     * @param string
     */
    public  void imprimir(final String string) {
        try{
            OutputStream os;
            StreamConnection sc;
            String parameter ="comm:0;baudrate="+baudRate+";parity="+parity+";databits="+dataBits+";stopbits="+stopBits+";flowcontrol=n/n";
            sc = (StreamConnection) Connector.open(parameter, Connector.WRITE,false);
            os = sc.openOutputStream();
            
            
            os.write(string.getBytes());
            os.close();
            sc.close();
        }
        catch(Exception e){
            //setMessage(""+e);
        }
    }
}
