/*
 * ScanCanvas.java
 *
 * Created on August 25, 2004, 9:34 PM
 */

package net.comtor.j2me.scanner;
import net.comtor.j2me.gui.*;
import net.comtor.j2me.form.*;
import javax.microedition.lcdui.*;

/**
 *
 *  A empty canvas thas cautch PPT button and used it
 * to hit Laser Ligth from Scanner
 *
 *
 */
public abstract class ScanCanvas extends CanvasClean{
    ScanManager scanManager;
    /** Creates a new instance of ScanCanvas */
    public ScanCanvas(ScanManager scanManager) {
        super();
        this.scanManager = scanManager;
    }
    
    protected void keyPressed(int k) {
        super.keyPressed(k);
        if (k == KEY_PTT){
            
            String readCodeFromScanner = scanManager.readCodeFromScanner();
            if (readCodeFromScanner.equals("NR") || readCodeFromScanner.equals("")){
                GlobalGui.playSound(AlertType.ERROR);
                return;
            }
            scan(readCodeFromScanner);
        }
    }
    
    
    /**
     *  This method is called when PTT button is pressed.
     */
    public abstract void scan(String code);
    
}
