<%@ page import="javax.management.*" %>
<%@ page import="coms.*" %>
<%@ page import="coms.metadata.*" %>
<%@ page import="coms.core.inference.*" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.util.LinkedHashSet" %>
<%@ page import="java.util.LinkedHashMap" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="java.util.Set" %>
<%@ page import="java.io.IOException" %>
<%@ page import="java.lang.SecurityException" %>
<%@ page contentType="text/html; charset=ISO-8859-5" %> 
<%@ include file="functions.jsp" %>

<% 
	LinkedHashSet<ComponentInfo> list = null;
	String errormsg = "";
	try{
		list = getLoadedList(); 
	}catch(Exception e){
		errormsg = "<span style=\"color:red\">Error: </span>Could not connect to the CoMS<br>Caused by: "+ e.toString();
	}
								
%>
	
<table cellspacing="0" cellpadding="0" border="0" align="center">
<tr>
<td>
    <table border="0" cellpadding="4" cellspacing="1" width="100%" class="itemtable">
    <tr>
        <th align="center" nowrap="nowrap" width="100">&nbsp;<span class="table_header">Component</span>&nbsp;</th>
        <th align="center" nowrap="nowrap" width="100">&nbsp;<span class="table_header">Version</span>&nbsp;</th>
        <th align="center" nowrap="nowrap" width="100">&nbsp;<span class="table_header">Type</span>&nbsp;</th>
        <th align="center" nowrap="nowrap" width="100">&nbsp;<span class="table_header">Status</span>&nbsp;</th>
    </tr>
    
    <%  
    if(list != null){
    	Iterator it = list.iterator();
    	String status = "", status_action="";
    	String comid = "";
    
    	while(it.hasNext()){
    		ComponentInfo com = (ComponentInfo) it.next();
    		if(com.getActivated()){
    			status = "Running";
    			status_action = "stop";
    		}else{ 	
    			status = "Suspended";
    			status_action = "start";
			}
			
			comid = com.getID();
		%>
    
    <tr>
    	<td class="table_cell" align="center"><span class="text"><a href="index.jsp?id=config&comID=<%= comid %>"><%= com.getName() %></a></span></td>
    	<td class="table_cell" align="center"><span class="text"><%= com.getVersion() %></span></td>
    	<td class="table_cell" align="center"><span class="text"><%= com.getType() %></span></td>
    	<td class="table_cell" align="center"><span class="text"><a href="index.jsp?id=process&action=<%= status_action %>&comID=<%= comid %>" class="menulink"><%= status %></a></span></td>
    </tr>
    
    <% } %>
    <%
    }else{
    %>
    <tr>
    	<td colspan="4" class="text">
    <%= errormsg %>
    	</td>
    </tr>
    <% } %>
    
    </table>
</td>
</tr>
</table>
