<%@ page import="javax.management.*" %>
<%@ page import="coms.*" %>
<%@ page import="coms.metadata.*" %>
<%@ page import="coms.core.inference.*" %>
<%@ page import="java.util.LinkedHashMap" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.util.LinkedHashSet" %>
<%@ page import="java.util.Set" %>
<%@ page import="java.io.IOException" %>
<%@ page import="java.lang.SecurityException" %>
<%@ page contentType="text/html; charset=ISO-8859-5" %> 
<%@ include file="functions.jsp" %>

<%  
	LinkedHashMap<String, ArrayList<String>> packageList = null;
	String output = "";
	String action = request.getParameter("action");

	if(action == null) action = "undefined";

	if(action.equals("removePackage")){
		String pkgID = request.getParameter("packageID");
		if(pkgID != null){
			try{ 
				Boolean success = removePackage(pkgID);
				
				if(success == true)
					output = "The package was removed successfully";
				else
					output = "The package could not be removed";
				
			}catch(Exception e){
				output= "<span style=\"color:red\">Error: </span>Could not connect to the CoMS<br>Caused by: "+ e.toString();
			}
		}
	}		
	
	
	// Get package list
	try{
		packageList = getPackageList();
	}catch(Exception e){
		output = "<span style=\"color:red\">Error: </span>Could not connect to the CoMS<br>Caused by: "+ e.toString();
	} 
%>

<table cellspacing="0" cellpadding="0" border="0" align="center">
<tr>
<td>
    <table cellspacing="0" cellpadding="0" border="0">
    <tr>
		<td>
	
		<% if(action == "undefined" || action.equals("")){ %>
		
	    <table border="0" cellpadding="4" cellspacing="1" width="100%" class="itemtable">
	    <tr>
	        <th align="center" nowrap="nowrap" width="100">&nbsp;<span class="table_header">Package</span>&nbsp;</th>
	        <th align="center" nowrap="nowrap" width="100">&nbsp;<span class="table_header">Delete</span>&nbsp;</th>
	    </tr>
	    <%  
	    if(packageList != null){
	    	Set pkeys = packageList.keySet();
	    	Iterator iter = pkeys.iterator();
	    	String pkey = "";
	    
	    	while(iter.hasNext()){
	    		pkey = (String) iter.next();
	
			%>
	    
	    	<tr>
	    		<td class="table_cell" align="center"><span class="text"><%= pkey %></span></td>
	    		<td class="table_cell" align="center"><span class="text"><a href="index.jsp?id=packages&action=remove&packageID=<%= pkey %>">Delete</a></td>
	    	</tr>  
	  
	    	<% } %>
	    <% 
	    }else{
	    %>
	    <tr>
	    	<td colspan="2" class="text">
	    <%= output %>
	    	</td>
	    </tr>
	    <% } %>
	    </table>
	<% }else if(action.equals("remove")){ %>
	
	    <table border="0" cellpadding="4" cellspacing="1" width="100%" class="itemtable">	    
	    <% 	String pkgID = request.getParameter("packageID");
	    	ArrayList list = packageList.get(pkgID);
	    	Iterator iter = list.iterator();
	    	String pkey = ""; 
	    %>
	    <tr>
	        <td nowrap="nowrap" width="300" align="left" background="./layout/bgc.gif"><span class="text"><b>Delete package: <%= pkgID %></b></span>&nbsp;</td>
	    </tr>
	    <tr>
	        <th nowrap="nowrap" align="left">&nbsp;<span class="table_header">All packages depending on this package:</span>&nbsp;</th>
	    </tr>
	    <%
	    	
	    	while(iter.hasNext()){
	    		pkey = (String) iter.next();
	    %>
	    <tr>
	    	<td class="text"><%= pkey %></td>
	    </tr>
	    <%	} %>
	    <tr>
	    	<td class="text"><hr><a href="index.jsp?id=packages&action=removePackage&packageID=<%= pkgID %>">Delete all</a></td>
	    </tr>
	    </table>
	<% }else if(action.equals("removePackage")){ %>		
		<span class="text"><%= output %></span>
		
	<% } %>
	
	 	
</td>
    </tr>
    </table>
</td>
</tr>
</table>